/**************************************************************

makecat_dlg.h (C-Munipack project)
The 'Make catalogue file' dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_MAKECAT_DLG_H
#define CMPACK_MAKECAT_DLG_H

#include <gtk/gtk.h>

#include "chart.h"

class CMakeCatFileDlg
{
public:
	CMakeCatFileDlg(GtkWindow *pParent);
	~CMakeCatFileDlg();

	void Execute();
private:
	GtkWidget	*m_pDlg;
	GtkWidget	*m_ObjName, *m_ObjRA, *m_ObjDec, *m_ObsName;
	GtkWidget	*m_ObsLoc, *m_Telescope, *m_Camera, *m_Filter;
	GtkWidget	*m_FOV, *m_Orientation, *m_Notes;
	CChart		m_Chart;

	int MakeFile(const char *outfile);
};

#endif
