/**************************************************************

file.h (C-Munipack project)
Photometry file private header file
Copyright (C) 2003 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef ALL_FILE_H
#define ALL_FILE_H

#include "allframes.h"
#include "comfun.h"
#include "context.h"

/* Readall file */
struct _CmpackAllFile
{
	CmpackContext gc;				/**< Global context */
	int aperture;					/**< Aperture identifier */
	char *filter;					/**< Filter name */
	int helcor;						/**< Nonzero if the JDs are heliocentric */
	CmpackAllFrameTab data;			/**< Table of frames */
};

#endif
