/**************************************************************

varcat.h (C-Munipack project)
Catalogues of variable stars
Copyright (C) 2010 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef MUNIWIN_VARCAT_H
#define MUNIWIN_VARCAT_H

bool VarCat_Test(void);

typedef void tVarCatProc(const char *objname, const char *ra, const char *dec,
						 const char *catalogue, const char *comment, void *data);

void VarCat_Search(const char *searchstr, tVarCatProc *cb_proc, void *cb_data);

#endif
